# AirportTileSpec Struct Reference

Defines the data structure of each indivudual tile of an airport. More...

`#include <airport.h>`

## Static Public Member Functions
static const AirportTileSpec * | Get (StationGfx gfx)
| Retrieve airport tile spec for the given airport tile.
## Data Fields
uint16 | animation_info
| Information about the animation (is it looping, how many loops etc).
uint8 | animation_speed
| The speed of the animation.

## Detailed Description

Defines the data structure of each indivudual tile of an airport.

Definition at line 77 of file airport.h.

## Member Function Documentation

const AirportTileSpec * AirportTileSpec::Get | ( | StationGfx | gfx | ) | `[static]`

Retrieve airport tile spec for the given airport tile.

Parameters:

  | gfx | index of airport tile

Returns:
  A pointer to the corresponding AirportTileSpec

Definition at line 45 of file airport.cpp.

References _origin_airporttile_specs, and NUM_AIRPORTTILES.

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp